CC = gcc
INCLUDES = -I${PVM_ROOT}/include -I${TOPDIR} -I${TOPDIR}/FilterData -I${TOPDIR} -I${TOPDIR}/FilterDev -I${TOPDIR}/AbstractDataTypes -I${TOPDIR}/AbstractDataTypes/Hash -I${TOPDIR}/AbstractDataTypes/cser -I${TOPDIR}/AbstractDataTypes/TaskIdList -I${TOPDIR}/AbstractDataTypes/DataSpace -I${TOPDIR}/AbstractDataTypes/prod_cons -I${TOPDIR}/AbstractDataTypes/Task -I${TOPDIR}/AbstractDataTypes/Cache -I${TOPDIR}/AbstractDataTypes/stack -I${TOPDIR}/AbstractDataTypes/dbLkList -I${TOPDIR}/api_c++
CFLAGS= -Wall -fpic -ggdb ${INCLUDES} -L${PVM_ROOT}/lib/LINUX64 -DDEBUG #-DUSE_CACHE -DBMI_FT -DANTHILL_INST -DATTACH

# libraries used
CLIBS = -lpvm3 -lexpat -ldl -lm -lpthread #-lefence
CLIBSDIR= -L${PVM_ROOT}/lib/LINUX64 -L.
LDFLAGS = ${CLIBS} ${CLIBSDIR}

#version stuff and library naming convention
VERSION=3
MINOR=2
RELEASE=0
LINKERNAME=libah.so
SONAME=${LINKERNAME}.${VERSION}
REALNAME=${SONAME}.${MINOR}.${RELEASE}

#API C++ library name
APICPPLIBNAME=libahcpp.so

EVENTAPILIBNAME=libahevent.so

#library will be installed at ${PREFIX}/lib
PREFIX=/usr

# all subdirectories used for compilation
#SUBDIRS = FilterData FilterDev AbstractDataTypes Tracer api_c++ FilterMaker eventAPI
SUBDIRS = FilterData FilterDev AbstractDataTypes api_c++ eventAPI

# MatLab filter maker main
FILTERMAKERMAIN=filtermaker
